summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2020-05-01 19:50:05 +0200
committerPacho Ramos <pacho@gentoo.org>2020-05-01 19:57:31 +0200
commit160c813a710d08ee2123ed643016eb48b60ab9f5 (patch)
tree4e19422659b3a7b81c36b45530c5e45a0b767bbd /net-p2p
parentnet-im/slack: Migrate to 'appindicator' USE (diff)
downloadgentoo-160c813a710d08ee2123ed643016eb48b60ab9f5.tar.gz
gentoo-160c813a710d08ee2123ed643016eb48b60ab9f5.tar.bz2
gentoo-160c813a710d08ee2123ed643016eb48b60ab9f5.zip
net-p2p/transmission: Migrate to 'appindicator' USE
Package-Manager: Portage-2.3.96, Repoman-2.3.22 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
Diffstat (limited to 'net-p2p')
-rw-r--r--net-p2p/transmission/transmission-2.94-r1.ebuild10
-rw-r--r--net-p2p/transmission/transmission-9999.ebuild6
2 files changed, 8 insertions, 8 deletions
diff --git a/net-p2p/transmission/transmission-2.94-r1.ebuild b/net-p2p/transmission/transmission-2.94-r1.ebuild
index 86c72f12f62..432fe079c92 100644
--- a/net-p2p/transmission/transmission-2.94-r1.ebuild
+++ b/net-p2p/transmission/transmission-2.94-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/transmission/transmission-releases/raw/master/${P}.t
# MIT is in several libtransmission/ headers
LICENSE="|| ( GPL-2 GPL-3 Transmission-OpenSSL-exception ) GPL-2 MIT"
SLOT=0
-IUSE="ayatana gtk libressl lightweight systemd qt5 xfs"
+IUSE="appindicator gtk libressl lightweight systemd qt5 xfs"
KEYWORDS="amd64 ~arm ~arm64 ~mips ppc ppc64 x86 ~amd64-linux"
ACCT_DEPEND="
@@ -31,7 +31,7 @@ COMMON_DEPEND=">=dev-libs/libevent-2.0.10:=
>=dev-libs/dbus-glib-0.100
>=dev-libs/glib-2.32:2
>=x11-libs/gtk+-3.4:3
- ayatana? ( >=dev-libs/libappindicator-0.4.90:3 )
+ appindicator? ( >=dev-libs/libappindicator-0.4.90:3 )
)
qt5? (
dev-qt/qtcore:5
@@ -53,7 +53,7 @@ DEPEND="${COMMON_DEPEND}
RDEPEND="${COMMON_DEPEND}
${ACCT_DEPEND}"
-REQUIRED_USE="ayatana? ( gtk )"
+REQUIRED_USE="appindicator? ( gtk )"
DOCS=( AUTHORS NEWS qt/README.txt )
@@ -65,7 +65,7 @@ src_prepare() {
sed -i -e '/CFLAGS/s:-ggdb3::' configure.ac || die
# Trick to avoid automagic dependency
- if ! use ayatana ; then
+ if ! use appindicator ; then
sed -i -e '/^LIBAPPINDICATOR_MINIMUM/s:=.*:=9999:' configure.ac || die
fi
diff --git a/net-p2p/transmission/transmission-9999.ebuild b/net-p2p/transmission/transmission-9999.ebuild
index f7f2735ac3c..36907b345d4 100644
--- a/net-p2p/transmission/transmission-9999.ebuild
+++ b/net-p2p/transmission/transmission-9999.ebuild
@@ -21,7 +21,7 @@ HOMEPAGE="https://transmissionbt.com/"
# MIT is in several libtransmission/ headers
LICENSE="|| ( GPL-2 GPL-3 Transmission-OpenSSL-exception ) GPL-2 MIT"
SLOT="0"
-IUSE="ayatana gtk libressl lightweight nls mbedtls qt5 systemd test"
+IUSE="appindicator gtk libressl lightweight nls mbedtls qt5 systemd test"
RESTRICT="!test? ( test )"
ACCT_DEPEND="
@@ -57,7 +57,7 @@ COMMON_DEPEND="
>=dev-libs/dbus-glib-0.100
>=dev-libs/glib-2.32:2
>=x11-libs/gtk+-3.4:3
- ayatana? ( >=dev-libs/libappindicator-0.4.30:3 )
+ appindicator? ( >=dev-libs/libappindicator-0.4.30:3 )
)
qt5? (
dev-qt/qtcore:5
@@ -111,7 +111,7 @@ src_configure() {
-DWITH_CRYPTO=$(usex mbedtls polarssl openssl)
-DWITH_INOTIFY=ON
- -DWITH_LIBAPPINDICATOR=$(usex ayatana ON OFF)
+ -DWITH_LIBAPPINDICATOR=$(usex appindicator ON OFF)
-DWITH_SYSTEMD=$(usex systemd ON OFF)
)